> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pasca.name.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate IRN

> POST /api/v1/einvoice/irn/validate

**POST** `/api/v1/einvoice/irn/validate`

## Request example

```bash theme={null}
curl -X POST "{{BASE_URL}}/api/v1/einvoice/irn/validate" \
  -H "API-KEY: <your_api_key>" \
  -H "API-SECRET: <your_api_secret>" \
  -H "Accept: application/json"
```

Request body:

```json theme={null}
{
  "irn": "TEST001-6244CC45-20250629",
  "business_id": "{{YOUR_BUSINESS_ID}}"
}
```

## Response examples

**200**

```json theme={null}
{
  "code": 200,
  "data": {
    "ok": true
  }
}
```

**400**

```json theme={null}
{
  "code": 400,
  "data": null,
  "message": "error has occurred",
  "error": {
    "id": "fe9db3ab-8efa-4ddd-b7a5-47dc2a4e151a",
    "handler": "invoice_actions",
    "details": "irn validation failed for this business, refer to the template and try again",
    "public_message": "validation failed: we are unable to process your request. also confirm this is not a duplicate request"
  }
}
```

**401**

```json theme={null}
{
  "status": false,
  "code": 401,
  "message": "Unauthorized",
  "data": null,
  "error": {
    "details": "invalid or missing API credentials"
  }
}
```


## OpenAPI

````yaml POST /api/v1/einvoice/irn/validate
openapi: 3.1.0
info:
  title: PASCA API
  version: 1.0.0
  description: PASCA eInvoicing API reference
servers:
  - url: https://test-api.pasca.co
    description: Sandbox
  - url: https://api.pasca.co
    description: Production
security:
  - ApiKey: []
    ApiSecret: []
  - APIKey: []
    APISecret: []
tags:
  - name: Resources
  - name: IRN and QR
  - name: Invoices
  - name: Transmission
  - name: Status and retrieval
  - name: Business
  - name: Health
paths:
  /api/v1/einvoice/irn/validate:
    post:
      tags:
        - IRN and QR
      summary: Validate IRN
      requestBody:
        required: true
        content:
          application/json:
            example:
              irn: TEST001-6244CC45-20250629
              business_id: '{{YOUR_BUSINESS_ID}}'
      responses:
        '200':
          description: Validate IRN (Success)
          content:
            application/json:
              example:
                code: 200
                data:
                  ok: true
        '400':
          description: Validate IRN (Error)
          content:
            application/json:
              example:
                code: 400
                data: null
                message: error has occurred
                error:
                  id: fe9db3ab-8efa-4ddd-b7a5-47dc2a4e151a
                  handler: invoice_actions
                  details: >-
                    irn validation failed for this business, refer to the
                    template and try again
                  public_message: >-
                    validation failed: we are unable to process your request.
                    also confirm this is not a duplicate request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status: false
                code: 401
                message: Unauthorized
                data: null
                error:
                  details: invalid or missing API credentials
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: API-KEY
    ApiSecret:
      type: apiKey
      in: header
      name: API-SECRET
    APIKey:
      type: apiKey
      in: header
      name: API-KEY
    APISecret:
      type: apiKey
      in: header
      name: API-SECRET

````